## php.java.faces
Class PhpFacesScriptContext

    java.lang.Object
      javax.script.SimpleScriptContext
          php.java.script.PhpSimpleHttpScriptContext
              php.java.faces.PhpFacesScriptContext

All Implemented Interfaces:
  ScriptContext, Invocable, IPhpScriptContext

    public class PhpFacesScriptContext

extends PhpSimpleHttpScriptContext

A custom ScriptContext, keeps a ContextFactory and a HttpProxy.

Author:
  jostb

Field Summary

Fields inherited from class php.java.script.PhpSimpleHttpScriptContext
`APPLICATION_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

Fields inherited from interface javax.script.ScriptContext
`ENGINE_SCOPE, GLOBAL_SCOPE`

Constructor Summary
`PhpFacesScriptContext()`

Method Summary
`boolean` `call(PhpProcedureProxy kont)` Call the java continuation with the current continuation `kont` as its argument.
`ContextFactory` `getContextManager()` Returns the ContextFactory.
`java.util.Map` `getEnvironment()` Returns the script environment.
`void` `initialize(javax.servlet.ServletContext kontext, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, PhpScriptWriter writer)` Initilaize the context.
`void` `setContinuation(HttpProxy kont)` Set the php continuation

Methods inherited from class php.java.script.PhpSimpleHttpScriptContext
`getAttribute, getAttribute, getContext, getRequest, getResponse, getWriter, setAttribute`

Methods inherited from class javax.script.SimpleScriptContext
`getAttributesScope, getBindings, removeAttribute, setBindings`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhpFacesScriptContext

    public PhpFacesScriptContext()

Method Detail

### initialize

    public void initialize(javax.servlet.ServletContext kontext,
                           javax.servlet.http.HttpServletRequest req,
                           javax.servlet.http.HttpServletResponse res,
                           PhpScriptWriter writer)
                    throws javax.servlet.ServletException

  Description copied from class: `PhpSimpleHttpScriptContext`
  Initilaize the context.

  Overrides:
    `initialize` in class `PhpSimpleHttpScriptContext`
  Parameters:
    `kontext` - The ServletContext
    `req` - The HttpServletRequest
    `res` - The HttpServletResponse
    `writer` - The PhpScriptWriter
  Throws:
    `javax.servlet.ServletException`

### getEnvironment

    public java.util.Map getEnvironment()

  Description copied from interface: `IPhpScriptContext`
  Returns the script environment.

  Returns:
    the environment

### getContextManager

    public ContextFactory getContextManager()

  Description copied from interface: `IPhpScriptContext`
  Returns the ContextFactory.

  Returns:
    the context manager

### setContinuation

    public void setContinuation(HttpProxy kont)

  Description copied from interface: `IPhpScriptContext`
  Set the php continuation

  Parameters:
    `kont` - The continuation.

### call

    public boolean call(PhpProcedureProxy kont)
                 throws java.lang.Exception

  Description copied from interface: `Invocable`
  Call the java continuation with the current continuation `kont` as its argument.

  Parameters:
    `kont` - The continuation.
  Returns:
    True on success, false otherwise.
  Throws:
    `java.lang.Exception`